//
//  CarDetailViewController.swift
//  Showroom
//
//  Created by Holger Hinzberg on 18.11.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class CarDetailViewController: UIViewController
{
    // Die Verbindungen zu den Steuerelementen
    @IBOutlet var makeLabel:UILabel!
    @IBOutlet var modelLabel:UILabel!
    @IBOutlet var constructionYearLabel:UILabel!
    @IBOutlet var imageView:UIImageView!
    // Eine Eigenschaft für ein Fahrzeug
    var car:ShowroomCar?
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        if let car = car
        {
            self.makeLabel.text = car.make
            self.modelLabel.text = car.model
            self.constructionYearLabel.text
                = "\(car.constructionYear)"
            
            // Mit dem Dateinamen ein UIImage laden
            // und an das Outlet übergeben
            self.imageView.image = UIImage(named: car.picture)
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
